/*body */
body{
	background: #f3f6ff!important;
	color: #373737!important;
}

.table {
	color: #373737!important;
}

.form-control {
	color: #373737!important;
}

.footer {
	border-top: none!important;
}

/* topnav fixed when need */
.topnavfixed{
	display: block;
	position: fixed;
	width: 100%;
	z-index: 9999999;
	top: 0;
}

/* topnav */
.topnav {
    background: #fff;
}
.topnav .navbar-nav .nav-link { 
    color: #313a46;
}
.topnav .navbar-nav .nav-link:hover { 
    color: #313a46!important;
}
.navbar-dark .navbar-nav .active > .nav-link, .navbar-dark .navbar-nav .nav-link.active, .navbar-dark .navbar-nav .nav-link.show, .navbar-dark .navbar-nav .show > .nav-link {
    color: #313a46;
}
.dropdown-item { 
    color: #2a2a2b;
}

.topnav .navbar-dark .dropdown .dropdown-item {
    color: #2a2a2b;
}

.topnav .navbar-dark .dropdown .dropdown-item.active, .topnav .navbar-dark .dropdown .dropdown-item:active {
    color: #053ee9;
}

.dropdown-item:hover{ color:#272e37; text-decoration:none; background-color:#f3f3f3;}

.topnav .navbar-nav .nav-link {
    font-size: 0.9rem;
}

.topnav-navbar { 
    background: #5e69f7;
}

.nav-user { 
background-color: #424cda;
border: 1px solid #424cda;
}	

.nav-user .account-user-name { 
    color: #f4f4f4;
}

.nav-user .account-position { 
    color: #f4f4f4;
}

.shadow-sm {
    -webkit-box-shadow: 0 .125rem .25rem rgba(0,0,0,.075) !important;
    box-shadow: 0 .125rem .25rem rgba(0,0,0,.075) !important;
}

.topnav-navbar .navbar-toggle span { 
    background-color: rgba(241, 241, 241, 0.8);
}
	

/*** version 032023 ****/

.topnav-navbar { 
  min-height: 50px!important; 
  position: fixed;
}

.topnav {
  background: #5e69f7;
} 
.topnav .navbar-nav .nav-link { 
    color: #d2dfff;
}
.topnav .navbar-nav .nav-link:hover { 
    color: #fff!important;
}
.navbar-dark .navbar-nav .active > .nav-link, .navbar-dark .navbar-nav .nav-link.active, .navbar-dark .navbar-nav .nav-link.show, .navbar-dark .navbar-nav .show > .nav-link {
    color: #fff;
}
@media (max-width:699px) { 
    body { padding-top:3em; } 
}

@media (min-width:700px) { 
	.topnav-body {  margin-top:0em; }
    body { padding-top:5em; } 
}

@media (min-width:992px) { 
	.topnav-body {  margin-top:0em; }
    body { padding-top:4.5em; }
}
@media (max-width:1024px) {
	 .navbar-custom {
		display: block;
		position: fixed;
		width: 100%;
		z-index: 9999999;
		top: 0;
		-moz-box-shadow: 3px 2px 5px 2px #e3e3e3;
		-webkit-box-shadow: 3px 2px 5px 2px #e3e3e3;
		box-shadow: 3px 2px 5px 2px #e3e3e3;
	 } 
	 .topnav{
		margin-top:0px!important;
	 } 
}
 @media (max-width: 768px){
	.navbar-toggle {
	  margin: 15px 20px !important;
	}
}

.topnav .navbar-nav .nav-link { 
  min-width: 115px;
}


@media (max-width: 991.98px){
	.topnav .navbar-dark .dropdown .dropdown-item {
		color: #e0e0e9;
	}
	.topnav .navbar-dark .dropdown .dropdown-item.active, .topnav .navbar-dark .dropdown .dropdown-item:active {
		color: #ffffff;
	}

}


  


  
@media (max-width: 991.98px){
	.topnav .dropdown .dropdown-menu-user {
		z-index: 999999; 
	  background-color: #fff!important;
	}


	.nav-user {
       padding: calc(30px / 2) 20px calc(30px / 2) 57px !important;
	   min-height: 50px;
 
   }
   .navbar-custom .topbar-right-menu li { 
  max-height: 50px;
   
	}
	 
}

 

@media (min-width: 992px){ 

	.nav-user .account-user-avatar {
	  position: absolute;
	  top: calc(20px / 2);
	  left: 15px;
	}
	.nav-user {
       padding: calc(19px / 2) 20px calc(19px / 2) 57px !important;
        z-index: 999999;
				min-height:50px;
   }
}
.nav-user .account-user-avatar {
  top: calc(20px / 2);
}

 
@media only screen and (min-width: 768px) and (max-width: 992px)  {
	.nav-user .account-user-avatar { 
	  top: calc(36px / 2);
	 
	}
}

/************** version 032023 *******************/




/* general form control */
.form-control {
	border: 1px solid #ced0d2!important;
	color: #1e1f20;
}

.disabled-white {
	background-color: #ffffff!important;
}

.form-control-custom {
	width: 100%;
	height: calc(2.25rem + 2px);
	padding: .45rem .9rem;
	font-size: .9rem;
	font-weight: 400;
	line-height: 1.5;
	color: #6c757d;
	background-color: #fff;
	background-clip: padding-box;
	border: 1px solid #ced0d2;
	border-radius: .25rem;
	-webkit-transition: border-color .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
	transition: border-color .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
	transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
	transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
}


/* top nav bar */
@media (max-width:1024px) {
	 .navbar-custom {
		display: block;
		position: fixed;
		width: 100%;
		z-index: 9999999;
		top: 0;
		-moz-box-shadow: 3px 2px 5px 2px #e3e3e3;
		-webkit-box-shadow: 3px 2px 5px 2px #e3e3e3;
		box-shadow: 3px 2px 5px 2px #e3e3e3;
	 }
	 
	 .topnav{
		margin-top: 70px;
	 }
	 
	 
}

/* modal from control */
.modal-open .modal-backdrop {background-color:#fff!important;}

.modal-dialog { margin: 5.75rem auto!important; }

.modal { padding: 2em!important;}

.modalsuccess-btn {
	color: #ecfcd5!important;
	background-color: #08b382 !important;
	border-color: #eef2f7!important;
}
.modalsuccess-btn:hover {
	background-color: #06956c!important;
}

.modalerror-btn {
	color: #ecfcd5 !important;
	background-color: #f72650 !important;
	border-color: #ffd9c6 !important;
}
.modalerror-btn:hover {
	background-color: #de1a42 !important;
}



/* special notification and form invalid */ 
@keyframes blink {50% { color: transparent }}
.loader__dot { animation: 1s blink infinite }
.loader__dot:nth-child(2) { animation-delay: 250ms }
.loader__dot:nth-child(3) { animation-delay: 500ms }
.loader__dot:nth-child(4) { animation-delay: 750ms }
.loader__dot:nth-child(5) { animation-delay: 1000ms }

.hidethis { display:none!important; visibility:hidden!important; }
.showthis { display:block!important; visibility:visible!important; }
.forminvalid {
    border-color: #fa5c7c!important;
    padding-right: 2.25rem!important;
    /*background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23fa5c7c' viewBox='-2 -2 7 7'%3e%3cpath stroke='%23fa5c7c' d='M0 0l3 3m0-3L0 3'/%3e%3ccircle r='.5'/%3e%3ccircle cx='3' r='.5'/%3e%3ccircle cy='3' r='.5'/%3e%3ccircle cx='3' cy='3' r='.5'/%3e%3c/svg%3E");
    background-repeat: no-repeat!important;
    background-position: right calc(.375em + .1875rem) center!important;
    background-size: calc(.75em + .375rem) calc(.75em + .375rem)!important;*/
}
.forminvalid .select2-selection--single {
    border: 1px solid #fa5c7c!important;
}


 
 

/* alert */ 

 .text-success { color: #00a274 !important }
 .text-danger  { color: #ff2551 !important;}
 .text-warning  {  color:#ffac0e !important; }
 
 
 
/* button */

.btn-light {
	color: #313a46;
	background-color: #eaf0f9;
	border-color: #eaf0f9;
}


/* table list */
.table-striped tbody tr:nth-of-type(2n+1) {
    background-color: #f9faff!important;
}


/*body text etc */

.text-body {
    color: #585959 !important;
}

.table .thead-light th {
    color: #2a2a2b;
}


/* status */
.badge { font-weight: normal; }

.badge-warning-lighten { 
color: #ffb21e;
    background-color: #fffae9;
}


/* modal backdrop */ 
.modal-open .modal-backdrop {
    background-color: #ececec !important;
}


/***** clearsearch ***********/
.clearsearch { 
display: block; 
position: absolute;
right: 12px;
border-radius: 5px;
top: 0px;
}




/* form label */
label {
  font-weight: 600;
  color: #4057b1;
}


/* move icon */
.moveicon:hover {
	cursor:grab;
}
.moveicon:active {
	cursor:grabbing;
}

/*action button */
.actionbtn {
	border: 0px;
	background: inherit;
	font-size: 18px;
}
.actionbtn:hover { 
	background: #e8e6e6; 
}


/* delbutton small */
.delsmbtn {
	margin-top: 0.5em; width: 90px; 
	padding: 3px; 
	margin-left: auto; 
	margin-right: auto; 
	background: #ffffff; 
	border: 1px solid #fff;
}


/* session editor  */
.someoneediting { display:block; width:100%; font-size:13px; color: #c43c2e;}
 
 
